'use strict';

// ** Dependencies
const Promise = require('bluebird');
const Action = require('../../lib/actions');
const logger = require('../../lib/logger').createLogger('say-goodbye');

// Create a sayhello action
// const goodbye = Action(name => Promise.delay(1000).then(() => `Goodbye, ${name}...`))
const goodbye = Action(name => `Goodbye, ${name}...`)
    .on('result', result => logger('RESULT', result))
    .on('error', error => logger('ERROR', error))
    .on('completed', trace => logger('TRACE', trace));

// Run the action
goodbye("Brad Serbu")
    .then(result => console.log(result));