'use strict';

// ** Dependencies
const Action = require('../../lib/actions');
const logger = require('../../lib/logger').createLogger('say-hello');

// Create a sayhello action
const sayhello = Action(name => `Hello, ${name}!`)
    .on('result', result => logger('RESULT', result))
    .on('error', error => logger('ERROR', error))
    .on('completed', trace => logger('COMPLETED', trace));

// Run the action
sayhello
    .run("Brad Serbu")
    .then(result => console.log(result));