'use strict';

// ** Dependencies
const Process = require('../../lib/processes');
const logger = require('../../lib/logger').createLogger('firstname');
const parseName = require('another-name-parser');

Process('firstname', 'Print the first name of a person.')
    .then('parse-name', parseName)
    .tap('print-parsed', parsed => {
        console.log('PARSED', parsed);
        return parsed;
    })
    .then('first-name', name => name.first)
    .onAny(logger.debug) // Log all events
    .run('Mr. Brad Serbu, PHD')
    .then(first => console.log(`Hello, ${first}!`));